class BoboPlayerController extends xPlayer;

//----------------------------------------------------------
//  Here we :
//      - add keypress interaction
//      - track pickup acquisition
//----------------------------------------------------------

// #exec OBJ LOAD FILE=UDN_CharacterModels_K.ukx

var bool bHasInteraction;
var int NumNotes;

function EnterStartState()
{
    Super.EnterStartState();
    if ((Viewport(Player) != None) && (!bHasInteraction))
    {
        Player.InteractionMaster.AddInteraction("BoboCode.KeypressInteraction", Player);
        bHasInteraction = True;
    }
}

function UpdateNotes()
{
    NumNotes = (NumNotes + 1);
    switch (NumNotes)
    {
        case 20:
            TriggerEvent('GotSphereNotes',None,None);
            break;
        case 30:
            TriggerEvent('GotWallNotes',None,None);
            break;
        case 50:
            TriggerEvent('GotTowerNotes',None,None);
            break;
        case 70:
            TriggerEvent('KeyController',self,None);        // this triggers hint sign swap
            break;
    }
/*    if (NumNotes >= 70)
    {
        ClientMessage("YOU GOT ALL THE THINGIES!");
    } */
}


defaultproperties
{
    bHasInteraction=false
    NumNotes=0
    MidGameMenuClass="BoboCode.BoboMidGameMenu"
//    PawnClass=class'BoboCode.BoboPlayerPawn' // -- hmm ... not sure what this does ... player pawn seems to be set via gametype.
//    bIsPlayer=true    // might be helpful, might fuck things up ...
}
