//=============================================================================
// This exists to correct problem w/multi-key triggertoggle movers.
//=============================================================================
class BoboRunWallMover extends Mover;

function DoOpen()
{
	bOpening = true;
	bDelaying = false;
	InterpolateTo( Min( ArrayCount(KeyPos)-1,KeyNum+1), MoveTime );    // Only this line changed from parent class
	MakeNoise(1.0);
	PlaySound( OpeningSound, SLOT_None, SoundVolume / 255.0, false, SoundRadius, SoundPitch / 64.0);
	AmbientSound = MoveAmbientSound;
	TriggerEvent(OpeningEvent, Self, Instigator);
	if ( Follower != None )
		Follower.DoOpen();
}
