// ============================================================================
// Based on: RestrictedMidGameMenu.uc created by Demiurge Studios
// ============================================================================
class BoboMidGameMenu extends UT2K4GUIPage;


// Assigns the delegates, sets the leave button text, and set the focus to the continue button
function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	Super.InitComponent(MyController, MyOwner);

//	OnKeyEvent = InternalOnKeyEvent;   fuck this
	OnClose = InternalOnClose;
//	Controls[1].SetFocus(none);  not so sure I like this ...
}



/* // allows the left and right arrows to select the menu choices
function bool InternalOnKeyEvent(out byte Key, out byte State, float delta)
{
    if(Key == 0x25 && State == 1) //Left
	{
		Controls[1].SetFocus(none);
		return true;
	}
	else if(Key == 0x27 && State == 1) //Right
	{
		Controls[2].SetFocus(none);
		return true;
	}

	return false;
}
*/


// When the menu closes, turn pause off if currently paused
function InternalOnClose(optional Bool bCanceled)
{
	local PlayerController pc;

	pc = PlayerOwner();

	// Turn pause off if currently paused
	if(pc != None && pc.Level.Pauser != None)
		pc.SetPause(false);

	Super.OnClose(bCanceled);
}



// Handles button clicking
function bool InternalOnClick(GUIComponent Sender)
{
	if(Sender==Controls[2]) // quit game
	{
//		Controller.OpenMenu(Controller.GetMainMenuClass());
		PlayerOwner().ConsoleCommand( "QUIT" );
	}
	else if(Sender==Controls[1]) // continue game
	{
		Controller.CloseMenu(); // Close _all_ menus
	}
	else if(Sender==Controls[3]) // restart game
	{
		PlayerOwner().Level.ServerTravel("BO-Bobodinga?quiet", false);
	}
	return true;
}

defaultproperties
{
	Begin Object Class=GUIButton name=QuitBackground
		WinWidth=1
		WinHeight=0.15
		WinLeft=0
		WinTop=0.4
		bAcceptsInput=false
		bNeverFocus=true
		StyleName="SquareButton"
	End Object
	Controls(0)=GUIButton'QuitBackground'

	Begin Object Class=GUIButton Name=ContMatchButton
		WinWidth=0.2
		WinHeight=0.05
		WinLeft=0.1
		WinTop=0.45
		Caption="CONTINUE"
		StyleName="MidGameButton"
		OnClick=InternalOnClick
		TabOrder=0
	End Object
	Controls(1)=GUIButton'ContMatchButton'

	Begin Object Class=GUIButton Name=LeaveMatchButton
		WinWidth=0.2
		WinHeight=0.05
		WinLeft=0.4
		WinTop=0.45
		Caption="QUIT"
		StyleName="MidGameButton"
		OnClick=InternalOnClick
		TabOrder=1
	End Object
	Controls(2)=GUIButton'LeaveMatchButton'

	Begin Object Class=GUIButton Name=RestartMatchButton
		WinWidth=0.2
		WinHeight=0.05
		WinLeft=0.7
		WinTop=0.45
		Caption="RESTART"
		StyleName="MidGameButton"
		OnClick=InternalOnClick
		TabOrder=2
	End Object
	Controls(3)=GUIButton'RestartMatchButton'

//	OpenSound=sound'RuntimeInterfaceSounds.SelectDshort' -- this don't work but, I can make my own!

	bRequire640x480=false
	bAllowedAsLast=true
	bRenderWorld=true  // to show world behind menu
}
