class BoboPlayerPawn extends xPawn;

// ------------------ testing usage of special idle anims; all other anims defined in parent classes.
var name IdleNeck;

simulated function Setup(xUtil.PlayerRecord rec, optional bool bLoadNow)     // SERIOUSLY EVIL HACKAGE to prevent accessed none error
{
//	rec.Species = Default.Species;

	if ( (rec.Species == None) || ForceDefaultCharacter() )
	{
		rec = class'xUtil'.static.FindPlayerRecord(GetDefaultCharacter());
	}

    Species = rec.Species;
    RagdollOverride = rec.Ragdoll;

//    log("4th thingie");
//    log("rec.Ragdoll = "@rec.Ragdoll);
//    log("rec.Species = "@rec.Species);
/*
	if ( !Species.static.Setup(self,rec) )     // never enters this when default character is set in .ini files
	{
		rec = class'xUtil'.static.FindPlayerRecord(GetDefaultCharacter());
		log("6th thingie");
		if ( !Species.static.Setup(self,rec) )
			return;
	}
*/
//	log("7th thingie");
//	ResetPhysicsBasedAnim();
    return;
}

simulated function bool PointOfView()         // YEAH BABY finally, this is the place to force 3rd person all around.
{
	return true;
}

function bool PerformDodge(eDoubleClickDir DoubleClickMove, vector Dir, vector Cross)   // overridden to prevent dodge, which I don't have anims for
{
    return true;
}

simulated function TakeDamage( int Damage, Pawn InstigatedBy, Vector Hitlocation, Vector Momentum, class<DamageType> damageType)
{
	
    local vector WhereTo;
    
    WhereTo = self.Location;

    if( damageType==class'Crushed' )   // this is to keep player from getting trapped inside sphere and wall movers.  Hackity hack!
	{
        switch ( Damage )               // I'm using damage to signal which kind of mover is encroaching, via values set in ued
        {
            case 1:                    // small sphere
                WhereTo.z += 180;
                SetLocation(WhereTo);
                break;
/*            case 2:                    // walls
                WhereTo.z += 230;
                break;
*/
            case 3:                     // big sphere
                WhereTo.z += 590;
                SetLocation(WhereTo);
                break;
        }
	}
}

defaultproperties
{
	bCanDodgeDoubleJump=false  // no anims for these & don't need 'em
	bCanWallDodge=false
	bCanBoostDodge=false
    JumpZ=300                 // keep player from jumping out of level boundaries
    MaxMultiJump=0            // don't forget to thank Tarquin re. downcasting references.  That's how I originally set this (via player controller script).
    MultiJumpRemaining=0
    DrawScale=0.450000       // need him to shrink and stand on the ground ...
    PrePivot=(Z=3.0)          // get him outta the terrain ...
	Mesh=SkeletalMesh'UDN_CharacterModels_K.GenericMale'  // seems I must set this in the .UPL file to affect player model!?
	Skins[0]=Texture'UDN_CharacterModels_T.Cloth'
    Skins[1]=Texture'UDN_CharacterModels_T.Skin'
    Skins[2]=Shader'UDN_CharacterModels_T.HairShader'
//    Skins[2]=Shader'UDN_CharacterModels_T.HairShader'
    Species=class'XGame.SPECIES_Merc'           // I'm getting all kinds of errors about species, WTF?
    SoundGroupClass=class'XGame.xMercMaleSoundGroup'        // trying to get footsteps working ... if not try SoundFootsteps pawn properties

//-----------------------------------------from xPawn, modified based on ExamplePawn and ExampleBoy files:
    MovementAnims(0)=RunF
    MovementAnims(1)=RunB
    MovementAnims(2)=RunL
    MovementAnims(3)=RunR
    SwimAnims(0)=Swim
    SwimAnims(1)=SwimB
    SwimAnims(2)=SwimL
    SwimAnims(3)=SwimR
    CrouchAnims(0)=CrouchF
    CrouchAnims(1)=CrouchB
    CrouchAnims(2)=CrouchL
    CrouchAnims(3)=CrouchR
    WalkAnims(0)=WalkF
    WalkAnims(1)=WalkB
    WalkAnims(2)=WalkL
    WalkAnims(3)=WalkR
    AirStillAnim=JumpFMid           //  used in midjump
    AirAnims(0)=JumpFMid
    AirAnims(1)=JumpFMid
    AirAnims(2)=JumpFMid
    AirAnims(3)=JumpFMid
    TakeoffStillAnim=JumpUp
    TakeoffAnims(0)=JumpF
    TakeoffAnims(1)=JumpF
    TakeoffAnims(2)=JumpF
    TakeoffAnims(3)=JumpF
    LandAnims(0)=JumpFLand
    LandAnims(1)=JumpFLand
    LandAnims(2)=JumpFLand
    LandAnims(3)=JumpFLand
//    DoubleJumpAnims(0)=DoubleJumpF        -- not used in Bobo
//    DoubleJumpAnims(1)=DoubleJumpB
//   DoubleJumpAnims(2)=DoubleJumpL
//    DoubleJumpAnims(3)=DoubleJumpR
//    DodgeAnims(0)=DodgeF
//    DodgeAnims(1)=DodgeB
//    DodgeAnims(2)=DodgeL
//    DodgeAnims(3)=DodgeR
//    WallDodgeAnims(0)=WallDodgeF
//    WallDodgeAnims(1)=WallDodgeB
//    WallDodgeAnims(2)=WallDodgeL
//    WallDodgeAnims(3)=WallDodgeR

//    TurnRightAnim=WalkR   -- unfortunately these anims play too long for the action.  Not sure how to correct.
//    TurnLeftAnim=WalkL
    TurnRightAnim=IdleLong
    TurnLeftAnim=IdleLong
//    CrouchTurnRightAnim=CrouchR    -- unfortunately these anims play too long for the action.  Not sure how to correct.
//    CrouchTurnLeftAnim=CrouchL
    CrouchTurnRightAnim=CrouchIdle
    CrouchTurnLeftAnim=CrouchIdle
    IdleRestAnim=IdleLong
    IdleCrouchAnim=CrouchIdle
    IdleSwimAnim=SwimTread
    IdleWeaponAnim=IdleLong
    IdleHeavyAnim=IdleLong
    IdleRifleAnim=IdleLong
    IdleChatAnim=IdleLong
    
    IdleNeck=IdleNeck

//    FireHeavyRapidAnim=Biggun_Burst       -- not used in Bobo
//    FireHeavyBurstAnim=Biggun_Aimed
//    FireRifleRapidAnim=Rifle_Burst
//    FireRifleBurstAnim=Rifle_Aimed
    
//------------------------------------------ other stuff from ExampleBoy

//	FallingAnim=Falling
//	DanceAnim="IdleStretch"
//	FlyIdle="FlyIdle"
//	DanceAnim="IdleStretch"
}
